OpenJPEG 2.1.2

Data Structures | Typedefs
raw.h File Reference

Implementation of operations for raw encoding (RAW) More...

Go to the source code of this file.

## Data Structures
struct | opj_raw
| RAW encoding operations. More...

## Typedefs
typedef struct opj_raw | opj_raw_t
| RAW encoding operations. More...

## Functions
Exported functions
opj_raw_t * | opj_raw_create (void)
| Create a new RAW handle. More...
void | opj_raw_destroy (opj_raw_t *raw)
| Destroy a previously created RAW handle. More...
OPJ_UINT32 | opj_raw_numbytes (opj_raw_t *raw)
| Return the number of bytes written/read since initialisation. More...
void | opj_raw_init_dec (opj_raw_t *raw, OPJ_BYTE *bp, OPJ_UINT32 len)
| Initialize the decoder. More...
OPJ_UINT32 | opj_raw_decode (opj_raw_t *raw)
| Decode a symbol using raw-decoder. More...

## Detailed Description

Implementation of operations for raw encoding (RAW)

The functions in RAW.C have for goal to realize the operation of raw encoding linked with the corresponding mode switch.